import { useNavigate } from "react-router-dom";
import type { FunctionComponent } from "preact";

export const EditorWrapper: FunctionComponent = ({ children }) => {
  const nav = useNavigate();
  return (
    <div>
      <button class="hollow flex items-center gap-2" onClick={() => nav(-1)}>
        <span class="text-2xl">←</span>
        <span class="italic">back</span>
      </button>
      {children}
    </div>
  );
};
